#!/bin/bash -e

pkg=(
    7zip
    bash-completion
    curl
    fastfetch
    fzf
    git
    jq
    manpages
    openssh
    pass
    python
)

# TODO https://github.com/termux/termux-tools/blob/master/scripts/termux-change-repo.in
yes | { pkg upgrade; pkg install "${pkg[@]}"; }
pkg autoprune -y

# shellcheck disable=SC2174
mkdir -pm 0700 "$HOME/.ssh"
curl https://yw5n.com/ssh >> "$HOME/.ssh/authorized_keys"

git clone --depth 1 --bare https://git.gmoker.com/ange/dotfiles.git ~/.dotfiles
git --git-dir="$HOME/.dotfiles" --work-tree="$HOME" checkout -f
git --git-dir="$HOME/.dotfiles" --work-tree="$HOME" config status.showUntrackedFiles no

sed -i '/systemctl/d' "$HOME/.bash_profile"

cat <<EOF >> "$HOME/.bash_profile"
gpg-agent
#sshd
EOF
